Limited number of devices to choose of

Moderators: grovkillen, Stuntteam, TD-er

Post Reply
Message
Author
MeAlbert
Normal user
Posts: 5
Joined: 25 Dec 2019, 14:02

Limited number of devices to choose of

#1 Post by MeAlbert » 25 Dec 2019, 14:25

I installed espeasy mega 20104 on a d1 mini. It works fine but I see e limited number of devices in the pull down menu (15).
I want to use the DHT11 but it is not on the list. How do I add it to the device list. The Wiki is not clear for me.

User avatar
grovkillen
Core team member
Posts: 3613
Joined: 19 Jan 2017, 12:56
Location: Hudiksvall, Sweden
Contact:

Re: Limited number of devices to choose of

#2 Post by grovkillen » 25 Dec 2019, 15:10

Exactly what bin file did you use?
ESP Easy Flasher [flash tool and wifi setup at flash time]
ESP Easy Webdumper [easy screendumping of your units]
ESP Easy Netscan [find units]
Official shop: https://firstbyte.shop/
Sponsor ESP Easy, we need you :idea: :idea: :idea:

MeAlbert
Normal user
Posts: 5
Joined: 25 Dec 2019, 14:02

Re: Limited number of devices to choose of

#3 Post by MeAlbert » 25 Dec 2019, 22:24

Good question. I tried to use the arduino IDE first but only errors. Now I used Atom. Downloaded ESPEasy-Mega-2 and chose PIO Build (Custom_ESP8266_4M1M) and after that Reload etc.
Get no errors and everything works but only 15 devices. In my opinion I did not pick a bin file but you did not ask the question without a reason.
How do I know what bin to use and how to pick?
Last edited by MeAlbert on 26 Dec 2019, 00:11, edited 1 time in total.

TD-er
Core team member
Posts: 3137
Joined: 01 Sep 2017, 22:13
Location: the Netherlands
Contact:

Re: Limited number of devices to choose of

#4 Post by TD-er » 26 Dec 2019, 00:02

so you built it yourself and did not use the pre-compiled ones from the releases page? https://github.com/letscontrolit/ESPEasy/releases

User avatar
grovkillen
Core team member
Posts: 3613
Joined: 19 Jan 2017, 12:56
Location: Hudiksvall, Sweden
Contact:

Re: Limited number of devices to choose of

#5 Post by grovkillen » 26 Dec 2019, 04:52

Since you're compiling a custom version you need to add the plugins you want. But it sounds to me that you should go with our release bins instead.
ESP Easy Flasher [flash tool and wifi setup at flash time]
ESP Easy Webdumper [easy screendumping of your units]
ESP Easy Netscan [find units]
Official shop: https://firstbyte.shop/
Sponsor ESP Easy, we need you :idea: :idea: :idea:

MeAlbert
Normal user
Posts: 5
Joined: 25 Dec 2019, 14:02

Re: Limited number of devices to choose of

#6 Post by MeAlbert » 26 Dec 2019, 10:22

I worked with Raspberry Pi a lot. and that's simple. sudo apt get etc. Have bought me 2 esp8266 for my heat-pump measurements. And that opens a new world for me.
I found some help on internet and ended up with Atom and build etc. I used the zip file in the link you send me. I do not know which file to use then.
I took the "ESPEasy_mega-20191208.zip" file. And it all worked without errors. But some devices missing.
Should I use the other zip file or what to do?

MeAlbert
Normal user
Posts: 5
Joined: 25 Dec 2019, 14:02

Re: Limited number of devices to choose of

#7 Post by MeAlbert » 26 Dec 2019, 10:55

@grovkillen @TD-er
I have the problem solved. Understood that with Atom I was making my own Bin file which was not correct. Due to your questions I understood what to do.
Found the right Bin file and did an update over the air with the right bin file. Now I have a big list of devices and the latest release all working fine.
Thanks for all the help so far

Post Reply

Who is online

Users browsing this forum: No registered users and 20 guests